Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.emailFwd
Class EPPEmailFwdPendActionMsg

    java.lang.Object
      com.verisign.epp.codec.gen.EPPResponse
          com.verisign.epp.codec.emailFwd.EPPEmailFwdPendActionMsg

All Implemented Interfaces:
  EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

    public class EPPEmailFwdPendActionMsg

extends EPPResponse

Poll message used to indicate the result of a pending action. Pending action can included emailFwd create, update, renew, transfer, and delete.

See Also:
  `EPPEmailFwdCreateCmd`, `EPPEmailFwdUpdateCmd`, `EPPEmailFwdRenewCmd`, `EPPEmailFwdTransferCmd`, `EPPEmailFwdDeleteCmd`, Serialized Form

Field Summary

Fields inherited from class com.verisign.epp.codec.gen.EPPResponse
`extensions, TRANSFER_CLIENT_APPROVED, TRANSFER_CLIENT_CANCELLED, TRANSFER_CLIENT_REJECTED, TRANSFER_PENDING, TRANSFER_SERVER_APPROVED, TRANSFER_SERVER_CANCELLED`

Constructor Summary
`EPPEmailFwdPendActionMsg()` `EPPEmailFwdPendActionMsg` default constructor.
`EPPEmailFwdPendActionMsg(EPPTransId aTransId, java.lang.String aName, boolean aSuccess, EPPTransId aPendingTransId, java.util.Date aPendingDate)` `EPPEmailFwdPendActionMsg` constructor that takes all of the required attributes.

Method Summary
`java.lang.Object` | `clone()` Clone `EPPEmailFwdPendActionMsg`.
`protected void` | `doDecode(org.w3c.dom.Element aElement)` Decode the `EPPEmailFwdPendActionMsg` attributes from the `aElement` DOM Element tree.
`protected org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPEmailFwdPendActionMsg` instance.
`boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPEmailFwdPendActionMsg` with this instance.
`java.lang.String` | `getName()` Gets the emailFwd name
`java.lang.String` | `getNamespace()` Gets the EPP command Namespace associated with `EPPEmailFwdPendActionMsg`.
`java.util.Date` | `getPendingDate()` Gets the date that the pending action was completed.
`EPPTransId` | `getPendingTransId()` Gets the pending transaction id.
`java.lang.String` | `getType()` Gets the EPP command type associated with `EPPEmailFwdPendActionMsg`.
`boolean` | `isSuccess()` Was the pending action successful?
`void` | `setName(java.lang.String aName)` Sets the emailFwd name.
`void` | `setPendingDate(java.util.Date pendingDate)` Sets the date that the pending action was completed.
`void` | `setPendingTransId(EPPTransId pendingTransId)` Sets the pending transaction id.
`void` | `setSuccess(boolean success)` Sets if the pending action was successful.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class com.verisign.epp.codec.gen.EPPResponse
`addExtension, decode, encode, getExtension, getExtension, getExtensions, getMessageQueue, getMsgQueue, getMsgQueueCount, getMsgQueueDate, getMsgQueueMsg, getQDate, getResult, getResults, getTransId, hasExtension, hasExtensions, hasMessageQueue, hasMsgQueue, hasResultCode, setExtension, setExtensions, setMsgQueue, setResult, setResult, setResult, setResult, setResults, setTransId`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPEmailFwdPendActionMsg

    public EPPEmailFwdPendActionMsg()

  `EPPEmailFwdPendActionMsg` default constructor. Must call required setter methods before encode.

### EPPEmailFwdPendActionMsg

    public EPPEmailFwdPendActionMsg(EPPTransId aTransId,
                                    java.lang.String aName,
                                    boolean aSuccess,
                                    EPPTransId aPendingTransId,
                                    java.util.Date aPendingDate)

  `EPPEmailFwdPendActionMsg` constructor that takes all of the required attributes.

  Parameters:
    `aTransId` - Poll command transaction id
    `aName` - EmailFwd name of pending action
    `aSuccess` - Was the pending action successful
    `aPendingTransId` - Pending action transaction id
    `aPendingDate` - Date of pending action completion

Method Detail

### getType

    public java.lang.String getType()

  Gets the EPP command type associated with `EPPEmailFwdPendActionMsg`.

  Overrides:
    `getType` in class `EPPResponse`
  Returns:
    EPPEmailFwdPendActionMsg.ELM_NAME

### getNamespace

    public java.lang.String getNamespace()

  Gets the EPP command Namespace associated with `EPPEmailFwdPendActionMsg`.

  Specified by:
    `getNamespace` in interface `EPPMessage`
  Overrides:
    `getNamespace` in class `EPPResponse`
  Returns:
    `EPPEmailFwdMapFactory.NS`

### getName

    public java.lang.String getName()

  Gets the emailFwd name

  Returns:
    EmailFwd Name `String` instance if defined; `null` otherwise.

### setName

    public void setName(java.lang.String aName)

  Sets the emailFwd name.

  Parameters:
    `aName` - EmailFwd Name

### getPendingDate

    public java.util.Date getPendingDate()

  Gets the date that the pending action was completed.

  Returns:
    Returns the pendingDate.

### setPendingDate

    public void setPendingDate(java.util.Date pendingDate)

  Sets the date that the pending action was completed.

  Parameters:
    `pendingDate` - The pendingDate to set.

### getPendingTransId

    public EPPTransId getPendingTransId()

  Gets the pending transaction id.

  Returns:
    Returns the pendingTransId.

### setPendingTransId

    public void setPendingTransId(EPPTransId pendingTransId)

  Sets the pending transaction id.

  Parameters:
    `pendingTransId` - The pendingTransId to set.

### isSuccess

    public boolean isSuccess()

  Was the pending action successful?

  Overrides:
    `isSuccess` in class `EPPResponse`
  Returns:
    Returns `true` if the pending action was successfully completed; `false` otherwise.

### setSuccess

    public void setSuccess(boolean success)

  Sets if the pending action was successful.

  Parameters:
    `success` - The success to set.

### equals

    public boolean equals(java.lang.Object aObject)

  Compare an instance of `EPPEmailFwdPendActionMsg` with this instance.

  Overrides:
    `equals` in class `EPPResponse`
  Parameters:
    `aObject` - Object to compare with.
  Returns:
    DOCUMENT ME!

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPEmailFwdPendActionMsg`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `EPPResponse`
  Returns:
    clone of `EPPEmailFwdPendActionMsg`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `EPPResponse`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

### doEncode

    protected org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                    throws EPPEncodeException

  Encode a DOM Element tree from the attributes of the `EPPEmailFwdPendActionMsg` instance.

  Overrides:
    `doEncode` in class `EPPResponse`
  Parameters:
    `aDocument` - DOM Document that is being built. Used as an Element factory.
  Returns:
    Element Root DOM Element representing the `EPPEmailFwdPendActionMsg` instance.
  Throws:
    `EPPEncodeException` - Unable to encode `EPPEmailFwdPendActionMsg` instance.

### doDecode

    protected void doDecode(org.w3c.dom.Element aElement)
                     throws EPPDecodeException

  Decode the `EPPEmailFwdPendActionMsg` attributes from the `aElement` DOM Element tree.

  Overrides:
    `doDecode` in class `EPPResponse`
  Parameters:
    `aElement` - Root DOM Element to decode `EPPEmailFwdPendActionMsg` from.
  Throws:
    `EPPDecodeException` - Unable to decode `aElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.